aboutsummaryrefslogtreecommitdiff
path: root/bin/eds
diff options
context:
space:
mode:
Diffstat (limited to 'bin/eds')
-rwxr-xr-xbin/eds3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/eds b/bin/eds
index 06686810..eda00174 100755
--- a/bin/eds
+++ b/bin/eds
@@ -2,6 +2,9 @@
# Create and edit executable scripts in a directory EDSPATH (defaults to ~/.local/bin)
self=eds
+# Give up completely if no BASH_VERSINFO (<2.0)
+[ -n "$BASH_VERSINFO" ] || exit
+
# Define a function to show usage
usage() {
printf 'USAGE: %s [EDITOR_OPTS] [--] FILE1 [FILE2...]\n' \